#include "TIMER.h"

unsigned int Timer_1_Reload = 62500;
void Timer_int(void)
{
	
/*	//ANSEL = 0;                  // All I/O pins are configured as digital
    //ANSELH = 0;
	T1CON = 0x30;		// 0011 0000, 1:8 prescalar, disable timer-1
	TRISC = 0x00;
	TMR1H = (unsigned char)(Timer_1_Reload >> 8);
	TMR1L = (unsigned char)Timer_1_Reload;
	
	INTCON = 0xC0;              // Enable interrupt (bits GIE and PEIE)
	TMR1IF = 0;
	PIE1 |=	0x01;
	T1CON |= 0x01;*/
	TRISB = 0x00; // PORT is all output...to show the interrupts
PORTB=0x00; // start with all outputs low
TRISD=0x00;

//Timer1 Registers Prescaler= 1:8 - Freq = 30.52 Hz - Period = 0.032766 seconds
T1CON,T1CKPS1 = 1; // bits 5-4 Prescaler Rate Select bits
T1CON,T1CKPS0 = 1; // bit 4
T1CON,T1OSCEN = 1; // bit 3 Timer1 Oscillator Enable Control bit 1 = on
T1CON,T1SYNC = 1; // bit 2 Timer1 External Clock Input Synchronization Control bit...1 = Do not synchronize external clock input
T1CON,TMR1CS = 0; // bit 1 Timer1 Clock Source Select bit...0 = Internal clock (FOSC/4)
T1CON,TMR1ON = 1; // bit 0 enables timer


// Interrupt Registers
INTCON = 0; // clear the interrpt control register
INTCON,TMR0IE = 0; // bit5 TMR0 Overflow Interrupt Enable bit...0 = Disables the TMR0 interrupt

PIE1,TMR1IE = 1; // enable Timer1 interrupts
INTCON,TMR0IF = 0; // bit2 clear timer 0 interrupt flag
INTCON,GIE = 1; // bit7 global interrupt enable
INTCON,PEIE = 1; // bit6 Peripheral Interrupt Enable bit...1 = Enables all unmasked peripheral interrupts

}	
	
void interrupt isr(void)
{
	unsigned int Timer_1_Reload = 62500;
	if(PIR1 & TMR1IF)
	{
		//INTCON = 0xC0;
		PORTC = 0x01;
		TMR1H = (unsigned char)(Timer_1_Reload >> 8);
		TMR1L = (unsigned char)Timer_1_Reload;
		TMR1IF = 0;
	}
	PORTC |= 0x02;
}	